Get issues for an owner address
curl --request POST \
--url https://v2.prod.halliday.xyz/payments/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner_address": "0xabc1234567890abcdef1234567890abcdef1234"
}
'import requests
url = "https://v2.prod.halliday.xyz/payments/issues"
payload = { "owner_address": "0xabc1234567890abcdef1234567890abcdef1234" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner_address: '0xabc1234567890abcdef1234567890abcdef1234'})
};
fetch('https://v2.prod.halliday.xyz/payments/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v2.prod.halliday.xyz/payments/issues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'owner_address' => '0xabc1234567890abcdef1234567890abcdef1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://v2.prod.halliday.xyz/payments/issues"
payload := strings.NewReader("{\n \"owner_address\": \"0xabc1234567890abcdef1234567890abcdef1234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://v2.prod.halliday.xyz/payments/issues")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owner_address\": \"0xabc1234567890abcdef1234567890abcdef1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://v2.prod.halliday.xyz/payments/issues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owner_address\": \"0xabc1234567890abcdef1234567890abcdef1234\"\n}"
response = http.request(request)
puts response.read_body{
"issues": [
{
"kind": "parked_fund",
"token": "ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"balance": {
"#": "25500000"
},
"classification": "STUCK",
"severity": "HIGH",
"payment_gist": null,
"withdraw_from": {
"withdraw_type": "PAYMENT",
"payment_id": "41b16a6f-704e-44ba-9964-2b66df8a73e8",
"withdraw_account": "INTENT"
}
}
]
}{
"errors": [
{
"code": "invalid_type",
"expected": "string",
"path": [
"owner_address"
],
"message": "Invalid input: expected string, received undefined"
}
]
}{
"errors": [
{
"kind": "other",
"message": "Invalid API key"
}
]
}Payments
Get issues for an owner address
Check an owner address for funds parked at a deposit address before quoting a new payment. The API
scans the owner’s payments under your organization, any addresses linked to that owner, and the
owner’s reusable deposit wallets. Returns an empty issues array when there is nothing to address.
Today this endpoint only returns parked_fund issues. Owner verification and geolocation problems
are reported as issues on quotes and on the payment status instead.
A parked_fund issue includes the token and balance involved, a classification describing
why the funds are parked, and a withdraw_from object identifying the payment and account
holding them, which you can use with POST /payments/withdraw to recover the funds.
POST
/
payments
/
issues
Get issues for an owner address
curl --request POST \
--url https://v2.prod.halliday.xyz/payments/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner_address": "0xabc1234567890abcdef1234567890abcdef1234"
}
'import requests
url = "https://v2.prod.halliday.xyz/payments/issues"
payload = { "owner_address": "0xabc1234567890abcdef1234567890abcdef1234" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner_address: '0xabc1234567890abcdef1234567890abcdef1234'})
};
fetch('https://v2.prod.halliday.xyz/payments/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v2.prod.halliday.xyz/payments/issues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'owner_address' => '0xabc1234567890abcdef1234567890abcdef1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://v2.prod.halliday.xyz/payments/issues"
payload := strings.NewReader("{\n \"owner_address\": \"0xabc1234567890abcdef1234567890abcdef1234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://v2.prod.halliday.xyz/payments/issues")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owner_address\": \"0xabc1234567890abcdef1234567890abcdef1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://v2.prod.halliday.xyz/payments/issues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owner_address\": \"0xabc1234567890abcdef1234567890abcdef1234\"\n}"
response = http.request(request)
puts response.read_body{
"issues": [
{
"kind": "parked_fund",
"token": "ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"balance": {
"#": "25500000"
},
"classification": "STUCK",
"severity": "HIGH",
"payment_gist": null,
"withdraw_from": {
"withdraw_type": "PAYMENT",
"payment_id": "41b16a6f-704e-44ba-9964-2b66df8a73e8",
"withdraw_account": "INTENT"
}
}
]
}{
"errors": [
{
"code": "invalid_type",
"expected": "string",
"path": [
"owner_address"
],
"message": "Invalid input: expected string, received undefined"
}
]
}{
"errors": [
{
"kind": "other",
"message": "Invalid API key"
}
]
}
